GXS Internal
GXSIOAPI referenceV1

Location aliases

POST
/api/Product/CreateLocationAlias

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Response Body

curl -X POST 'https://dev.api.graphxserver.io/api/api/Product/CreateLocationAlias'
Empty
POST
/api/Product/UpdateLocationAlias

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Response Body

curl -X POST 'https://dev.api.graphxserver.io/api/api/Product/UpdateLocationAlias'
Empty
POST
/api/Product/DeleteLocationAlias

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Response Body

curl -X POST 'https://dev.api.graphxserver.io/api/api/Product/DeleteLocationAlias'
Empty
GET
/api/Product/FetchAllLocationAlias

Authorization

bearer
headerAuthorizationBearer <token>

An organization API key (GXS_O-...) created in GraphxServer.io settings.

Query Parameters

companyName?string
productViewId*number
locationId*number

Response Body

curl -X GET 'https://dev.api.graphxserver.io/api/api/Product/FetchAllLocationAlias?productViewId=251872&locationId=25508'
Empty